Skip to main content
GET
Get a campaign
Returns a campaign object.

Authorizations

Authorization
string
header
required

API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.

Path Parameters

campaignId
string<uuid>
required

The UUID of the campaign.

Response

The campaign object

id
string<uuid>
required

Unique identifier for the object.

objectType
enum<string>
required

The type of this object.

Available options:
campaign
createdAt
string<date-time>
required

Timestamp when the object was created.

updatedAt
string<date-time>
required

Timestamp when the object was last updated.

name
string
required

The name of the campaign.

status
enum<string>
required

The current status of the campaign.

Available options:
draft,
active,
paused,
completed
isArchived
boolean
required

Whether the campaign is archived.

launchedAt
string<date-time>

Timestamp when the campaign was launched.